#include <qapplication.h>
#include <qlistview.h>

int main( int argc, char* argv[] )
{
  QApplication a( argc, argv );

  QListView* listview = new QListView();

  listview->addColumn( "Country" );
  listview->addColumn( "Capital" );
  listview->addColumn( "Population in mio." );
  listview->setRootIsDecorated( true );

  QCheckListItem* jp = new QCheckListItem(listview,"JP check",QCheckListItem::CheckBox);
  QListViewItem* europe = new QListViewItem( listview, "Europe" );
  QListViewItem* america = new QListViewItem( listview, "Americas" );
  QListViewItem* africa = new QListViewItem( listview, "Africa" );
  QListViewItem* asia = new QListViewItem( listview, "Asia" );

  QListViewItem* item = new QListViewItem( america, "Brazil", "Brasilia", "161.8" );
  item = new QListViewItem( europe, "Scotland", "Edinburgh", "057.6" );
  item = new QListViewItem( africa, "Morocco", "Rabat", "030.4" );
  item = new QListViewItem( europe, "Norway", "Oslo", "004.4" );
  item = new QListViewItem( europe, "Italy", "Rome", "052.2" );
  item = new QListViewItem( america, "Chile", "Santiago", "014.2" );
  item = new QListViewItem( africa, "Cameroon", "Yaounde", "013.2" );
  item = new QListViewItem( europe, "Austria", "Vienna", "008.1" );
  item = new QListViewItem( asia, "Saudi-Arabia", "Rihad", "020.0" );
  item = new QListViewItem( europe, "Denmark", "Copenhagen", "005.2" );
  item = new QListViewItem( europe, "France", "Paris", "058.0" );
  item = new QListViewItem( africa, "South Africa", "Pretoria", "042.3" );
  item = new QListViewItem( america, "Paraguay", "Asuncion", "005.6" );
  item = new QListViewItem( europe, "Bulgaria", "Sofia", "008.8" );
  item = new QListViewItem( europe, "Spain", "Madrid", "039.1" );
  item = new QListViewItem( africa, "Nigeria", "Abuja", "107.1" );
  item = new QListViewItem( asia, "South Korea", "Seoul", "045.9" );
  item = new QListViewItem( america, "Mexico", "Mexico-City", "097.6" );
  item = new QListViewItem( europe, "Netherlands", "Amsterdam", "015.6" );
  item = new QListViewItem( europe, "Belgium", "Brussels", "010.1" );
  item = new QListViewItem( europe, "Yugoslavia", "Belgrad", "010.8" );
  item = new QListViewItem( asia, "Iran", "Teheran", "067.3" );
  item = new QListViewItem( europe, "Germany", "Berlin", "081.2" );
  item = new QListViewItem( america, "USA", "Washington", "268.0" );
  item = new QListViewItem( europe, "England", "London", "048.5" );
  item = new QListViewItem( africa, "Tunisia", "Tunis", "009.2" );
  item = new QListViewItem( europe, "Romania", "Bucaresti", "022.5" );
  item = new QListViewItem( america, "Colombia", "Bogota", "035.1" );
  item = new QListViewItem( america, "Argentina", "Buenos Aires", "034.6" );
  item = new QListViewItem( asia, "Japan", "Tokyo", "125.1" );
  item = new QListViewItem( america, "Jamaica", "Kingston", "002.4" );
  item = new QListViewItem( europe, "Croatia", "Zagreb", "004.5" );

  listview->resize( 400, 300 );
  listview->show();

  a.setMainWidget( listview );

  return a.exec();
}
