#/usr/local/bin/ruby
=begin
/****************************************************************
**
** Qt tutorial 5
**
****************************************************************/
=end
# For RubyQt
require "qt"
include Qt

#a = QApplication.new([$0] + ARGV)

class MyWidget < QWidget
 def initialize
   self.setMinimumSize(200,200)
   @quit = QPushButton.new("Quit",self,"quit")
   @quit.setGeometry(10,10,75,30)
   @quit.setFont( QFont.new( "Times", 18, QFont::Bold ) )

   Qt::connect( @quit,QSIGNAL("clicked()"),QApplication::qApp,QSLOT("quit()"))

   @lcd = QLCDNumber.new(2,self,"lcd")
   @lcd.move(10,@quit.y + @quit.height + 10)

   @sBar = QScrollBar.new( 0, 99,		       	#// range
			   1, 10, 			#// line/page steps
			   0, 				#// inital value
			   QSlider::Horizontal, 	#// orientation
                           self, "scrollbar" )
  Qt::connect( @sBar, QSIGNAL("valueChanged(int)"),@lcd,QSLOT("display(int)"))
  Qt::connect( @sBar, QSIGNAL("valueChanged(int)"),self,"prData")
  catchEvent
end
 def prData int
   print int
   print "\n"
 end
 def resizeEvent ev
   @sBar.setGeometry(10,self.height - 10 -16, self.width - 20,16)
   @lcd.resize(@sBar.width, @sBar.y - @lcd.y - 5)
 end
end

a = QApplication.new([$0] + ARGV)
w = MyWidget.new
w.show
w.setGeometry(100,100,200,200)
a.setMainWidget(w)
a.exec
